exit3:
	b_call _ClrScrnFull
	call reset
	ld b,0
menu1:
	call menuTitle
	call menuItem
menuLoop1:
	bcall(_getCSC)
	or a				;figures out which key was pressed
	jr z, menuLoop1		;redirects accordingly
	cp skup
	jr z, menu1Up
	cp skdown
	jr z, menu1Down
	cp skenter
	jr z, menu1Test
	cp skclear
	jp z, exit2
	jr menuLoop1
menu1Up:
	ld a,b
	cp 0		;shifts menu pointer up one
	jr z, menuLoop1
	dec b
	jr menu1
menu1Down:
	ld a,b
	cp 2		;shifts menu pointer down one
	jr z, menuLoop1
	inc b
	jr menu1
menu1Test:
	ld a,b				;stores menu pointer (b) to a
	cp 0				;if first option
	jr z, menu2			;jump to difficulty menu
	cp 1				;if second option
	jr z, versioncall	;jump to version menu
exit2:								;exit routine
	b_call _ClrScrnFull			;clear the screen
	b_call _homeup					;shift curcol and currow back to top
	res donePrgm,(iy+doneFlags)		;get rid of done
	ret
menu2:
	ld b,0		;resets menu pointer
menu3:
	call menuTitle		;display the menu stuff
	call menuItem2
menuLoop2:
	bcall(_getCSC)
	or a				;figures out which key was pressed
	jr z, menuLoop2		;jumps accordingly
	cp skup
	jr z, menu2Up
	cp skdown
	jr z, menu2Down
	cp skenter
	jr z, menu2Test
	cp skclear
	jp z, backMenu
	jr menuLoop2
menu2Up:
	ld a,b
	cp 0			;increases the pointer
	jr z, menuLoop2	;should I have made this into a call?
	dec b
	jr menu3
menu2Down:
	ld a,b
	cp 3			;decreases pointer
	jr z, menuLoop2
	inc b
	jr menu3
backMenu:
	b_call _ClrScrnFull
	ld b,0				;jumps back to initial menu
	jr menu1
versioncall:
	bcall(_ClrScrnFull)	;displays the version and waits until keypress
	ld a,0
	ld (curcol),a
	ld (currow),a
	ld hl,vermsg
	bcall(_putS)
	ld a,1
	ld (currow),a
	ld (curcol),a
	ld hl,version
	bcall(_putS)
verloop:
	bcall(_getCSC)
	or a				;figures out which key was pressed
	jr z, verloop
	cp skclear
	jp z, exit3
	cp skenter
	jr nz, verloop
	jp exit3
menu2Test:
	ld a,b
	cp 3			;if back, jump to backmenu
	jr z, backMenu	;could be optimized to jump to exit3
	ld a, b
	inc a			;set the difficulty to the correct level
	ld (difficulty),a
	ld b,20			;set the health to the correct level
	call multiply
	ld c,a
	ld (health),a
	call clearbuff
	call iFastCopy	;clear the screen
	call createTree	;create the random trees